#
# spec file for package gnome-speech (Version 0.3.9)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils e2fsprogs esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-common gnome-desktop gnome-desktop-devel gnome-filesystem gnome-keyring gnome-keyring-devel gnome-vfs2 gnome-vfs2-devel gpm grep groff gtk2 gtk2-devel gzip hal hal-devel info insserv intltool klogd less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libgcc libgcrypt libglade2 libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeui libgnomeui-devel libgpg-error libidl libjpeg libjpeg-devel libnscd libpng libpng-devel libstdc++ libtool libusb libxcrypt libxml2 libxml2-devel libxslt libzio m4 mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm scrollkeeper sed startup-notification startup-notification-devel strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           gnome-speech
BuildRequires:  gnome-common gnome-desktop-devel intltool libidl perl-XML-Parser scrollkeeper update-desktop-files
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
License:        GNU Library General Public License v. 2.0 and 2.1 (LGPL)
Group:          System/GUI/GNOME
Autoreqprov:    on
Version:        0.3.9
Release:        18.4.1
Summary:        GNOME Speech API
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/gnome-speech/0.3/gnome-speech-%{version}.tar.bz2
URL:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         filesystem /usr/bin/touch
Requires:       festival

%description
The GNOME Speech 1.0 API is currently under development. It will
provide API for both text-to-speech output and speech input. It will be
heavily influenced by the Java Speech API, both the existing 1.0
specification and the new 2.0 one, which is currently under
development.

This package of GNOME Speech provides a driver for the Festival Speech
Synthesizer.



Authors:
--------
    Marc Mulcahy <marc.mulcahy@sun.com>
    Michael Meeks <mmeeks@gnu.org>

%debug_package
%package devel
Summary:        GNOME Speech API Development files
Group:          System/GUI/GNOME
Autoreqprov:    on
Requires:       %name = %version
Requires:       libbonobo-devel

%description devel
The GNOME Speech 1.0 API is currently under development, and it will
provide API for both text-to-speech output as well as speech input. It
will be heavily influenced by the Java Speech API, both the existing
1.0 specification, and the new 2.0 one which is currently under
development.

This package contains all files needed to develop using the GNOME
Speech API



Authors:
--------
    Marc Mulcahy <marc.mulcahy@sun.com>
    Michael Meeks <mmeeks@gnu.org>

%prep
%setup -n gnome-speech-%{version} 

%build
%{?suse_update_config:%{suse_update_config -f}}
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure \
    --prefix=%prefix \
    --libdir=%prefix/%_lib \
    --sysconfdir=%sysconfdir \
    --libexecdir=%{prefix}/%_lib/gnome-applets \
    --datadir=%prefix/share \
    --localstatedir=/var/%_lib \
    --with-kde-datadir=/opt/kde3/share \
    --enable-platform-gnome2
make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 
make -i install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL 

%post
%run_ldconfig
touch var/adm/SuSEconfig/run-scrollkeeper-update

%postun
%run_ldconfig
touch var/adm/SuSEconfig/run-scrollkeeper-update

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%defattr (-, root, root)
%{prefix}/bin/*
%{prefix}/%_lib/bonobo/servers/*.server
%{prefix}/%_lib/*.so*
%{prefix}/%_lib/orbit-2.0/*.so
%{prefix}/share/idl/gnome-speech-1.0

%files devel
%defattr (-, root, root)
%{prefix}/%_lib/*.la
%{prefix}/%_lib/orbit-2.0/*.la
%{prefix}/include/gnome-speech-1.0
%{prefix}/%_lib/pkgconfig/gnome-speech-1.0.pc

%changelog
* Fri Feb 03 2006 - aj@suse.de
- Reduce BuildRequires.
- Fix Requires of devel package.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 30 2005 - gekker@suse.de
- Update to version 0.3.9
* Thu Oct 13 2005 - gekker@suse.de
- Update to version 0.3.8
* Mon Aug 22 2005 - gekker@suse.de
- Add festival to requirements (8871).
* Mon Jun 20 2005 - gekker@suse.de
- Update to version 0.3.7
* Fri Jan 14 2005 - clahey@suse.de
- Updated to version 0.3.6.
* Fri Nov 19 2004 - ro@suse.de
- removed extra aclocal include directive
* Fri Sep 10 2004 - ro@suse.de
- added shared-mime-info to neededforbuild
* Thu May 06 2004 - sbrabec@suse.cz
- Updated to version 0.3.2 (GNOME 2.6).
* Wed Mar 17 2004 - sbrabec@suse.cz
- Fixed scrollkeeper calling conventions (#36215).
* Fri Feb 20 2004 - sbrabec@suse.cz
- Fixed names of GNOME2 packages.
* Tue Feb 10 2004 - hhetter@suse.de
- initial SUSE package
